Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.util.cache.mbeans
Interface JmxBaseCacheMBean

All Known Subinterfaces:
  JmxBoundedMultiLruCacheMBean, JmxLruCacheMBean, JmxMultiLruCacheMBean

All Known Implementing Classes:
  JmxBaseCache, JmxBoundedMultiLruCache, JmxLruCache, JmxMultiLruCache

    public interface JmxBaseCacheMBean

This interface defines the attributes exposed by the BaseCache MBean

Author:
  Krishnamohan Meduri (Krishna.Meduri@Sun.com)

Method Summary
`Integer` | `getAddCount()` Returns the number of times new entries have been added
`Integer` | `getEntryCount()` Returns current number of Entries
`Integer` | `getHitCount()` Return the number of cache hits
`Integer` | `getMaxEntries()` Returns maximum possible number of entries
`Integer` | `getMissCount()` Returns the number of cache misses
`String` | `getName()` Returns a unique identifier for this MBean inside the domain
`Integer` | `getOverflowCount()` Returns the number of times that an overflow has occurred
`Integer` | `getRefreshCount()` Returns the number of values that have been refreshed (replaced with a new value in an existing extry)
`Integer` | `getRemovalCount()` Returns the number of entries that have been removed
`Integer` | `getTableSize()` Returns current number of buckets
`Integer` | `getThreshold()` Returns threshold.

Method Detail

### getName

    String getName()

  Returns a unique identifier for this MBean inside the domain

### getMaxEntries

    Integer getMaxEntries()

  Returns maximum possible number of entries

### getThreshold

    Integer getThreshold()

  Returns threshold. This when reached, an overflow will occur

### getTableSize

    Integer getTableSize()

  Returns current number of buckets

### getEntryCount

    Integer getEntryCount()

  Returns current number of Entries

### getHitCount

    Integer getHitCount()

  Return the number of cache hits

### getMissCount

    Integer getMissCount()

  Returns the number of cache misses

### getRemovalCount

    Integer getRemovalCount()

  Returns the number of entries that have been removed

### getRefreshCount

    Integer getRefreshCount()

  Returns the number of values that have been refreshed (replaced with a new value in an existing extry)

### getOverflowCount

    Integer getOverflowCount()

  Returns the number of times that an overflow has occurred

### getAddCount

    Integer getAddCount()

  Returns the number of times new entries have been added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.